# $Revision: 1.39 $, $Date: 2009/12/20 19:08:26 $
Summary:	Rootkit Hunter
Summary(pl.UTF-8):	Program do poszukiwania rootkitów
Name:		rkhunter
Version:	1.3.6
Release:	1
License:	GPL
Group:		Applications
Source0:	http://dl.sourceforge.net/rkhunter/%{name}-%{version}.tar.gz
# Source0-md5:	41bd92b1ea0803401c4a45215c8293a2
Source1:	%{name}.cron
Source2:	%{name}.conf
URL:		http://www.rootkit.nl/projects/rootkit_hunter.html
Requires:	binutils
Requires:	coreutils
Requires:	diffutils
Requires:	e2fsprogs
Requires:	wget
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rootkit scanner is scanning tool to ensure you for about 99.9%% you're
clean of nasty tools. This tool scans for rootkits, backdoors and
local exploits by running tests like:
 - MD5 hash compare
 - Look for default files used by rootkits
 - Wrong file permissions for binaries
 - Look for suspected strings in LKM and KLD modules
 - Look for hidden files
 - Optional scan within plaintext and binary files

Rootkit Hunter is released as GPL licensed project and free for
everyone to use.

%description -l pl.UTF-8
Skaner antyrootkitowy to narzędzie skanujące, aby upewnić się na
99.9%%, że jesteśmy wolni od brzydkich narzędzi. To narzędzie
poszukuje rootkitów, backdoorów i lokalnych eksploitów wykonując testy
w rodzaju:
 - porównywanie skrótów MD5
 - poszukiwanie plików domyślnie używanych przez rootkity
 - poszukiwanie niepoprawnych uprawnień dla binarek
 - poszukiwanie podejrzanych łańcuchów w modułach LKM i KLD
 - poszukiwanie ukrytych plików
 - opcjonalne przeszukiwanie plików tekstowych i binarnych

Rootkit Hunter jest wydany na licencji GPL i darmowy do używania przez
wszystkich.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/cron.daily,%{_datadir}/%{name}/scripts,%{_var}/lib/%{name}/{db,tmp},%{_var}/lib/%{name}/db/i18n}

install files/rkhunter $RPM_BUILD_ROOT%{_sbindir}
install files/i18n/* $RPM_BUILD_ROOT%{_var}/lib/%{name}/db/i18n
install files/*.dat $RPM_BUILD_ROOT%{_var}/lib/%{name}/db
install files/*.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc files/CHANGELOG files/README files/FAQ files/ACKNOWLEDGMENTS
%attr(750,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(750,root,root) /etc/cron.daily/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/scripts
%attr(750,root,root) %{_datadir}/%{name}/scripts/*
%dir %{_var}/lib/%{name}
%attr(770,root,root) %dir %{_var}/lib/%{name}/tmp
%dir %{_var}/lib/%{name}/db
%attr(640,root,root) %verify(not md5 mtime size) %{_var}/lib/%{name}/db/*.dat
%dir %{_var}/lib/%{name}/db/i18n
%attr(640,root,root) %verify(not md5 mtime size) %{_var}/lib/%{name}/db/i18n/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rkhunter.spec,v $
Revision 1.39  2009/12/20 19:08:26  adamg
- updated to 1.3.6

Revision 1.38  2009/01/02 13:29:08  arekm
- up to 1.3.4

Revision 1.37  2008-03-09 16:16:55  arekm
- up to 1.3.2

Revision 1.36  2008-01-03 15:26:19  qboosh
- more cleanups

Revision 1.35  2008-01-03 14:46:13  shadzik
- clean up

Revision 1.34  2008-01-03 14:04:45  jezik
- added missing i18n files

Revision 1.33  2008-01-03 13:40:38  jezik
- up to 1.3.0
- patch0 is not applicable

Revision 1.32  2007-02-12 22:09:13  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.30  2006/02/14 18:57:51  paszczus
- updated to 1.2.8

Revision 1.29  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.28  2005/05/26 21:36:34  zawadaa
- up to 1.2.7, cleanups

Revision 1.27  2005/04/27 05:16:34  adamg
- fix insecure temporary file creation (CAN-2005-1270)
- release 2

Revision 1.26  2005/04/25 21:52:49  czucz
- updated to 1.2.4

Revision 1.25  2005/04/15 18:38:48  darekr
- unify

Revision 1.24  2005/04/15 13:18:58  adamg
- Requires: wget (used when doing --update)

Revision 1.23  2005/03/28 10:08:28  adamg
- updated to 1.2.3
- Requires: coreutils (for /usr/bin/md5sum)

Revision 1.22  2005/02/21 23:01:29  adamg
- updated to 1.2.1

Revision 1.21  2005/02/20 20:09:59  adamg
- updated to 1.2.0

Revision 1.20  2004/12/28 20:13:57  adamg
- updated to 1.1.9

Revision 1.19  2004/11/10 09:17:27  tiwek
- parse $app -v for  new versions of applications
- release 5

Revision 1.18  2004/10/30 10:33:45  snurf
- rel++
- closing bug #5512
- STBR for Ac

Revision 1.17  2004/10/28 21:15:25  kolodko
- R: diffutils
- rel 3

Revision 1.16  2004/10/28 14:44:16  kolodko
- added check_update.sh
- rel 2
- STBR (#5510)

Revision 1.15  2004/10/07 23:21:33  snurf
- up to 1.1.8, STBR for Ac

Revision 1.14  2004/09/07 07:25:48  arekm
- add R: e2fsprogs (lsattr needed)

Revision 1.13  2004/09/06 09:07:20  arekm
- rel 2 (modified cronjob)

Revision 1.12  2004/09/03 07:56:07  tiwek
- up to 1.1.7

Revision 1.11  2004/08/24 08:07:22  tiwek
- updated to 1.1.6
- STBR

Revision 1.10  2004/08/16 23:11:06  arekm
- R: binutils (uses strings binary)

Revision 1.9  2004/08/13 20:15:14  luzik
 - patch updated

Revision 1.8  2004/08/11 12:00:16  luzik
 - updated to 1.1.4
 - removed patch 'typo' witch is included in orginal source now
 - renumbered patches

Revision 1.7  2004/08/10 20:49:42  undefine
- patch %{name}-datadir to use %{_datadir} instead of %{_libdir} - there is
  nothing arch specific
- release 2

Revision 1.6  2004/07/20 22:41:22  luzik
 - ver. 1.1.3
 - PLD Linux support added
 - removed patch rkhunter-shell.patch, now rkhunter works with ksh
 - added patch rkhunter-typo.patch

Revision 1.5  2004/07/17 10:53:20  tiwek
- updated to 1.1.2

Revision 1.4  2004/07/11 22:26:27  luzik
 - rel. 1

Revision 1.3  2004/07/11 12:34:26  qboosh
- pl

Revision 1.2  2004/07/11 12:08:48  luzik
 - var/name to var/lib/name
 - added patch0 witch ugly replace #!/bin/sh to #!/bin/bash
 - added rkhunter.conf

Revision 1.1  2004/07/11 09:37:00  luzik
 - initial PLD release
